
public class Key extends EngineCommand {
	void execute(String[] args) {
		new KeyThread(Main.engine.keys.get(Main.compiler.compileArg(args[0])),Integer.parseInt(args[1]));
	}
}
class KeyThread implements Runnable {
	
	private int key,totalTime,time;
	private long last,delta,newT;
	
	public KeyThread(int k, int duration) {
		key = k;
		totalTime = duration;
		time = 20;
		new Thread(this).start();
	}
	
	public void run() {
		last = System.currentTimeMillis();
		while (totalTime > 0 && Main.engine.scriptThread.isAlive()) {
			Main.bot.keyPress(key);
			while (time > 0) {
				newT = System.currentTimeMillis();
				delta = newT-last;
				last = newT;
				time -= delta;
				try {
					Thread.sleep(3);
				} catch (InterruptedException e) {}
			}
			Main.bot.keyRelease(key);
			time = 20;
			totalTime -= 20;
		}
		Main.destroy(this);
	}
	
}