import java.awt.MouseInfo;
import java.awt.Point;


public class TweenMouse extends EngineCommand {
	void execute(String[] args) {
		int targetX = Integer.parseInt(Main.compiler.compileArg(args[0]));
		int targetY = Integer.parseInt(Main.compiler.compileArg(args[1]));
		Point cursorPos = MouseInfo.getPointerInfo().getLocation();
		int velX = cursorPos.x-targetX;
		int velY = cursorPos.y-targetY;
		
		long delta,now,last = System.currentTimeMillis();
		float time = 0;
		float mul = (float) (1.0/Float.parseFloat(args[2]));
		while (time < 1.0) {
			now = System.currentTimeMillis();
			delta = now-last;
			last = now;
			
			time += (delta/1000.0)*mul;
			Main.bot.mouseMove((int)(cursorPos.x-(velX*time)), (int)(cursorPos.y-(velY*time)));
			try {
				Thread.sleep(5);
			} catch (InterruptedException e) {}
		}
		Main.bot.mouseMove(targetX,targetY);
	}
}
