
public class Command {
	int id;
	String args[];
	
	public Command(int id, String arguments[]) {
		this.id = id;
		args = arguments;
	}
	
	static String Names[];
	static void Init() {
		Command.Names = new String[49];
		Command.Names[0] = "setmouseposition";
		Command.Names[1] = "wait";
		Command.Names[2] = "startfunction";
		Command.Names[3] = "endfunction";
		Command.Names[4] = "function";
		Command.Names[5] = "variable";
		Command.Names[6] = "ifequal";
		Command.Names[7] = "endif";
		Command.Names[8] = "addint";
		Command.Names[9] = "addfloat";
		Command.Names[10] = "add";
		Command.Names[11] = "ifnotequal";
		Command.Names[12] = "ifbigger";
		Command.Names[13] = "ifsmaller";
		Command.Names[14] = "key";
		Command.Names[15] = "mousedown";
		Command.Names[16] = "mouseup";
		Command.Names[17] = "tweenmouse";
		Command.Names[18] = "popup";
		Command.Names[19] = "setscripttext";
		Command.Names[20] = "getmousex";
		Command.Names[21] = "getmousey";
		Command.Names[22] = "inputdialog";
		Command.Names[23] = "getfromarray";
		Command.Names[24] = "multiply";
		Command.Names[25] = "divide";
		Command.Names[26] = "round";
		Command.Names[27] = "sin";
		Command.Names[28] = "cos";
		Command.Names[29] = "getpixel";
		Command.Names[30] = "getred";
		Command.Names[31] = "getblue";
		Command.Names[32] = "getgreen";
		Command.Names[33] = "findcolor";
		Command.Names[34] = "getx";
		Command.Names[35] = "gety";
		Command.Names[36] = "optiondialog";
		Command.Names[37] = "randomint";
		Command.Names[38] = "randomfloat";
		Command.Names[39] = "getscreenwidth";
		Command.Names[40] = "getscreenheight";
		Command.Names[41] = "return";
		Command.Names[42] = "subint";
		Command.Names[43] = "stringtoarray";
		Command.Names[44] = "tolowercase";
		Command.Names[45] = "touppercase";
		Command.Names[46] = "getarraylength";
		Command.Names[47] = "wobblemouse";
		Command.Names[48] = "typestring";
	}
	static int GetIdFromName(String name) {
		for (int i = 0; i < Command.Names.length; i++) {
			if (name.equals(Command.Names[i])) {
				return i;
			}
		}
		return -1;
	}
}
